export declare class Actiondatafilter {
    /**
     * Workflow expression that selects state data that the state action can use
     */
    fromStateData?: string;
    /**
     * If set to false, action data results are not added/merged to state data. In this case 'results' and 'toStateData' should be ignored. Default is true.
     */
    useResults?: boolean;
    /**
     * Workflow expression that filters the actions data results
     */
    results?: string;
    /**
     * Workflow expression that selects a state data element to which the action results should be added/merged into. If not specified, denote, the top-level state data element
     */
    toStateData?: string;
    constructor(model: any);
    /**
     * Normalize the value of each property by recursively deleting properties whose value is equal to its default value. Does not modify the object state.
     * @returns {Specification.Actiondatafilter} without deleted properties.
     */
    normalize: () => Actiondatafilter;
}
//# sourceMappingURL=actiondatafilter.d.ts.map