import { Action } from './action';
import { ActionExecTimeout, BranchExecTimeout } from './types';
export declare class Branch {
    sourceModel?: Branch;
    /**
     * Branch name
     */
    name: string;
    /**
     * State specific timeouts
     */
    timeouts?: {
        actionExecTimeout?: ActionExecTimeout;
        branchExecTimeout?: BranchExecTimeout;
    };
    /**
     * Actions to be executed in this branch
     */
    actions: Action[];
    constructor(model: any);
    /**
     * Normalize the value of each property by recursively deleting properties whose value is equal to its default value. Does not modify the object state.
     * @returns {Specification.Branch} without deleted properties.
     */
    normalize: () => Branch;
}
//# sourceMappingURL=branch.d.ts.map