export declare class Errordef {
    /**
     * Domain-specific error name
     */
    name: string;
    /**
     * Error code. Can be used in addition to the name to help runtimes resolve to technical errors/exceptions. Should not be defined if error is set to '*'
     */
    code?: string;
    /**
     * Error description
     */
    description?: string;
    constructor(model: any);
    /**
     * Normalize the value of each property by recursively deleting properties whose value is equal to its default value. Does not modify the object state.
     * @returns {Specification.Errordef} without deleted properties.
     */
    normalize: () => Errordef;
}
//# sourceMappingURL=errordef.d.ts.map