export declare class Eventdatafilter {
    /**
     * If set to false, event payload is not added/merged to state data. In this case 'data' and 'toStateData' should be ignored. Default is true.
     */
    useData?: boolean;
    /**
     * Workflow expression that filters the received event payload (default: '${ . }')
     */
    data?: string;
    /**
     *  Workflow expression that selects a state data element to which the filtered event should be added/merged into. If not specified, denotes, the top-level state data element.
     */
    toStateData?: string;
    constructor(model: any);
    /**
     * Normalize the value of each property by recursively deleting properties whose value is equal to its default value. Does not modify the object state.
     * @returns {Specification.Eventdatafilter} without deleted properties.
     */
    normalize: () => Eventdatafilter;
}
//# sourceMappingURL=eventdatafilter.d.ts.map