import { Crondef } from './crondef';
export declare class Schedule {
    /**
     * Time interval (must be repeating interval) described with ISO 8601 format. Declares when workflow instances will be automatically created.
     */
    interval?: string;
    cron?: string | Crondef;
    /**
     * Timezone name used to evaluate the interval & cron-expression. (default: UTC)
     */
    timezone?: string;
    constructor(model: any);
    /**
     * Normalize the value of each property by recursively deleting properties whose value is equal to its default value. Does not modify the object state.
     * @returns {Specification.Schedule} without deleted properties.
     */
    normalize: () => Schedule;
}
//# sourceMappingURL=schedule.d.ts.map